#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private PHX.PHX_Energizer[] cachePHX_Energizer;
		private PHX.PHX_Marshal[] cachePHX_Marshal;
		private PHX.PHX_Oddsmaker[] cachePHX_Oddsmaker;
		private PHX.PHX_Open[] cachePHX_Open;
		private PHX.PHX_PriceLine[] cachePHX_PriceLine;
		private PHX.PHX_Racer[] cachePHX_Racer;
		private PHX.PHX_Roads[] cachePHX_Roads;
		private PHX.PHX_TargetLine[] cachePHX_TargetLine;
		private PHX.PHX_Time[] cachePHX_Time;

		
		public PHX.PHX_Energizer PHX_Energizer(Brush color0, int width0, DashStyleHelper dshStyle0)
		{
			return PHX_Energizer(Input, color0, width0, dshStyle0);
		}

		public PHX.PHX_Marshal PHX_Marshal(nsPHX.eMarshalType marshalType, Brush upColor, Brush dnColor, int width, PlotStyle pltStyle, DashStyleHelper dshStyle)
		{
			return PHX_Marshal(Input, marshalType, upColor, dnColor, width, pltStyle, dshStyle);
		}

		public PHX.PHX_Oddsmaker PHX_Oddsmaker(double lineWhiteSpace, nsPHX.eChartsType chartType, nsPHX.eScalingLineAnchorType scalingLineAnchor, Brush indicatorUpColor, Brush indicatorDnColor, bool matchDataSeries, nsPHX.eColorBarsType colorBars, Brush bullColor, Brush bearColor, Brush h1linesUpColor, Brush h1linesDnColor, Brush h2linesUpColor, Brush h2linesDnColor, Brush h3linesUpColor, Brush h3linesDnColor, int h1LineUpWidth, int h1LineDnWidth, int h2LineUpWidth, int h2LineDnWidth, int h3LineUpWidth, int h3LineDnWidth, int h1UpOpacity, int h1DnOpacity, int h2UpOpacity, int h2DnOpacity, int h3UpOpacity, int h3DnOpacity)
		{
			return PHX_Oddsmaker(Input, lineWhiteSpace, chartType, scalingLineAnchor, indicatorUpColor, indicatorDnColor, matchDataSeries, colorBars, bullColor, bearColor, h1linesUpColor, h1linesDnColor, h2linesUpColor, h2linesDnColor, h3linesUpColor, h3linesDnColor, h1LineUpWidth, h1LineDnWidth, h2LineUpWidth, h2LineDnWidth, h3LineUpWidth, h3LineDnWidth, h1UpOpacity, h1DnOpacity, h2UpOpacity, h2DnOpacity, h3UpOpacity, h3DnOpacity);
		}

		public PHX.PHX_Open PHX_Open(int hLineWidth, int vLineWidth, Brush hLineColor, Brush vLineColor, DashStyleHelper hLineStyle, DashStyleHelper vLineStyle)
		{
			return PHX_Open(Input, hLineWidth, vLineWidth, hLineColor, vLineColor, hLineStyle, vLineStyle);
		}

		public PHX.PHX_PriceLine PHX_PriceLine(Brush priceLineColor, int priceLineWidth, DashStyleHelper priceLineStyle, double priceLineOpacity)
		{
			return PHX_PriceLine(Input, priceLineColor, priceLineWidth, priceLineStyle, priceLineOpacity);
		}

		public PHX.PHX_Racer PHX_Racer(nsPHX.eRacerType racerType, int frontWidth, int backWidth, PlotStyle frontPltStyle, PlotStyle backPltStyle, DashStyleHelper frontDshStyle, DashStyleHelper backDshStyle, int avePeriod, bool colorRegion, int regionUpOpacity, int regionDownOpacity, Brush regionUpColor, Brush regionDownColor)
		{
			return PHX_Racer(Input, racerType, frontWidth, backWidth, frontPltStyle, backPltStyle, frontDshStyle, backDshStyle, avePeriod, colorRegion, regionUpOpacity, regionDownOpacity, regionUpColor, regionDownColor);
		}

		public PHX.PHX_Roads PHX_Roads(int strength, int hiOpacity, int loOpacity)
		{
			return PHX_Roads(Input, strength, hiOpacity, loOpacity);
		}

		public PHX.PHX_TargetLine PHX_TargetLine(float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return PHX_TargetLine(Input, fontSize, labelSide, labelArea);
		}

		public PHX.PHX_Time PHX_Time(int slotStartHour1, int slotStartMinute1, int slotStopHour1, int slotStopMinute1, int opacity1, int slotStartHour2, int slotStartMinute2, int slotStopHour2, int slotStopMinute2, int opacity2, int slotStartHour3, int slotStartMinute3, int slotStopHour3, int slotStopMinute3, int opacity3, int slotStartHour4, int slotStartMinute4, int slotStopHour4, int slotStopMinute4, int opacity4, int slotStartHour5, int slotStartMinute5, int slotStopHour5, int slotStopMinute5, int opacity5)
		{
			return PHX_Time(Input, slotStartHour1, slotStartMinute1, slotStopHour1, slotStopMinute1, opacity1, slotStartHour2, slotStartMinute2, slotStopHour2, slotStopMinute2, opacity2, slotStartHour3, slotStartMinute3, slotStopHour3, slotStopMinute3, opacity3, slotStartHour4, slotStartMinute4, slotStopHour4, slotStopMinute4, opacity4, slotStartHour5, slotStartMinute5, slotStopHour5, slotStopMinute5, opacity5);
		}


		
		public PHX.PHX_Energizer PHX_Energizer(ISeries<double> input, Brush color0, int width0, DashStyleHelper dshStyle0)
		{
			if (cachePHX_Energizer != null)
				for (int idx = 0; idx < cachePHX_Energizer.Length; idx++)
					if (cachePHX_Energizer[idx].Color0 == color0 && cachePHX_Energizer[idx].Width0 == width0 && cachePHX_Energizer[idx].DshStyle0 == dshStyle0 && cachePHX_Energizer[idx].EqualsInput(input))
						return cachePHX_Energizer[idx];
			return CacheIndicator<PHX.PHX_Energizer>(new PHX.PHX_Energizer(){ Color0 = color0, Width0 = width0, DshStyle0 = dshStyle0 }, input, ref cachePHX_Energizer);
		}

		public PHX.PHX_Marshal PHX_Marshal(ISeries<double> input, nsPHX.eMarshalType marshalType, Brush upColor, Brush dnColor, int width, PlotStyle pltStyle, DashStyleHelper dshStyle)
		{
			if (cachePHX_Marshal != null)
				for (int idx = 0; idx < cachePHX_Marshal.Length; idx++)
					if (cachePHX_Marshal[idx].MarshalType == marshalType && cachePHX_Marshal[idx].UpColor == upColor && cachePHX_Marshal[idx].DnColor == dnColor && cachePHX_Marshal[idx].Width == width && cachePHX_Marshal[idx].PltStyle == pltStyle && cachePHX_Marshal[idx].DshStyle == dshStyle && cachePHX_Marshal[idx].EqualsInput(input))
						return cachePHX_Marshal[idx];
			return CacheIndicator<PHX.PHX_Marshal>(new PHX.PHX_Marshal(){ MarshalType = marshalType, UpColor = upColor, DnColor = dnColor, Width = width, PltStyle = pltStyle, DshStyle = dshStyle }, input, ref cachePHX_Marshal);
		}

		public PHX.PHX_Oddsmaker PHX_Oddsmaker(ISeries<double> input, double lineWhiteSpace, nsPHX.eChartsType chartType, nsPHX.eScalingLineAnchorType scalingLineAnchor, Brush indicatorUpColor, Brush indicatorDnColor, bool matchDataSeries, nsPHX.eColorBarsType colorBars, Brush bullColor, Brush bearColor, Brush h1linesUpColor, Brush h1linesDnColor, Brush h2linesUpColor, Brush h2linesDnColor, Brush h3linesUpColor, Brush h3linesDnColor, int h1LineUpWidth, int h1LineDnWidth, int h2LineUpWidth, int h2LineDnWidth, int h3LineUpWidth, int h3LineDnWidth, int h1UpOpacity, int h1DnOpacity, int h2UpOpacity, int h2DnOpacity, int h3UpOpacity, int h3DnOpacity)
		{
			if (cachePHX_Oddsmaker != null)
				for (int idx = 0; idx < cachePHX_Oddsmaker.Length; idx++)
					if (cachePHX_Oddsmaker[idx].LineWhiteSpace == lineWhiteSpace && cachePHX_Oddsmaker[idx].ChartType == chartType && cachePHX_Oddsmaker[idx].ScalingLineAnchor == scalingLineAnchor && cachePHX_Oddsmaker[idx].IndicatorUpColor == indicatorUpColor && cachePHX_Oddsmaker[idx].IndicatorDnColor == indicatorDnColor && cachePHX_Oddsmaker[idx].MatchDataSeries == matchDataSeries && cachePHX_Oddsmaker[idx].ColorBars == colorBars && cachePHX_Oddsmaker[idx].BullColor == bullColor && cachePHX_Oddsmaker[idx].BearColor == bearColor && cachePHX_Oddsmaker[idx].H1linesUpColor == h1linesUpColor && cachePHX_Oddsmaker[idx].H1linesDnColor == h1linesDnColor && cachePHX_Oddsmaker[idx].H2linesUpColor == h2linesUpColor && cachePHX_Oddsmaker[idx].H2linesDnColor == h2linesDnColor && cachePHX_Oddsmaker[idx].H3linesUpColor == h3linesUpColor && cachePHX_Oddsmaker[idx].H3linesDnColor == h3linesDnColor && cachePHX_Oddsmaker[idx].H1LineUpWidth == h1LineUpWidth && cachePHX_Oddsmaker[idx].H1LineDnWidth == h1LineDnWidth && cachePHX_Oddsmaker[idx].H2LineUpWidth == h2LineUpWidth && cachePHX_Oddsmaker[idx].H2LineDnWidth == h2LineDnWidth && cachePHX_Oddsmaker[idx].H3LineUpWidth == h3LineUpWidth && cachePHX_Oddsmaker[idx].H3LineDnWidth == h3LineDnWidth && cachePHX_Oddsmaker[idx].H1UpOpacity == h1UpOpacity && cachePHX_Oddsmaker[idx].H1DnOpacity == h1DnOpacity && cachePHX_Oddsmaker[idx].H2UpOpacity == h2UpOpacity && cachePHX_Oddsmaker[idx].H2DnOpacity == h2DnOpacity && cachePHX_Oddsmaker[idx].H3UpOpacity == h3UpOpacity && cachePHX_Oddsmaker[idx].H3DnOpacity == h3DnOpacity && cachePHX_Oddsmaker[idx].EqualsInput(input))
						return cachePHX_Oddsmaker[idx];
			return CacheIndicator<PHX.PHX_Oddsmaker>(new PHX.PHX_Oddsmaker(){ LineWhiteSpace = lineWhiteSpace, ChartType = chartType, ScalingLineAnchor = scalingLineAnchor, IndicatorUpColor = indicatorUpColor, IndicatorDnColor = indicatorDnColor, MatchDataSeries = matchDataSeries, ColorBars = colorBars, BullColor = bullColor, BearColor = bearColor, H1linesUpColor = h1linesUpColor, H1linesDnColor = h1linesDnColor, H2linesUpColor = h2linesUpColor, H2linesDnColor = h2linesDnColor, H3linesUpColor = h3linesUpColor, H3linesDnColor = h3linesDnColor, H1LineUpWidth = h1LineUpWidth, H1LineDnWidth = h1LineDnWidth, H2LineUpWidth = h2LineUpWidth, H2LineDnWidth = h2LineDnWidth, H3LineUpWidth = h3LineUpWidth, H3LineDnWidth = h3LineDnWidth, H1UpOpacity = h1UpOpacity, H1DnOpacity = h1DnOpacity, H2UpOpacity = h2UpOpacity, H2DnOpacity = h2DnOpacity, H3UpOpacity = h3UpOpacity, H3DnOpacity = h3DnOpacity }, input, ref cachePHX_Oddsmaker);
		}

		public PHX.PHX_Open PHX_Open(ISeries<double> input, int hLineWidth, int vLineWidth, Brush hLineColor, Brush vLineColor, DashStyleHelper hLineStyle, DashStyleHelper vLineStyle)
		{
			if (cachePHX_Open != null)
				for (int idx = 0; idx < cachePHX_Open.Length; idx++)
					if (cachePHX_Open[idx].HLineWidth == hLineWidth && cachePHX_Open[idx].VLineWidth == vLineWidth && cachePHX_Open[idx].HLineColor == hLineColor && cachePHX_Open[idx].VLineColor == vLineColor && cachePHX_Open[idx].HLineStyle == hLineStyle && cachePHX_Open[idx].VLineStyle == vLineStyle && cachePHX_Open[idx].EqualsInput(input))
						return cachePHX_Open[idx];
			return CacheIndicator<PHX.PHX_Open>(new PHX.PHX_Open(){ HLineWidth = hLineWidth, VLineWidth = vLineWidth, HLineColor = hLineColor, VLineColor = vLineColor, HLineStyle = hLineStyle, VLineStyle = vLineStyle }, input, ref cachePHX_Open);
		}

		public PHX.PHX_PriceLine PHX_PriceLine(ISeries<double> input, Brush priceLineColor, int priceLineWidth, DashStyleHelper priceLineStyle, double priceLineOpacity)
		{
			if (cachePHX_PriceLine != null)
				for (int idx = 0; idx < cachePHX_PriceLine.Length; idx++)
					if (cachePHX_PriceLine[idx].PriceLineColor == priceLineColor && cachePHX_PriceLine[idx].PriceLineWidth == priceLineWidth && cachePHX_PriceLine[idx].PriceLineStyle == priceLineStyle && cachePHX_PriceLine[idx].PriceLineOpacity == priceLineOpacity && cachePHX_PriceLine[idx].EqualsInput(input))
						return cachePHX_PriceLine[idx];
			return CacheIndicator<PHX.PHX_PriceLine>(new PHX.PHX_PriceLine(){ PriceLineColor = priceLineColor, PriceLineWidth = priceLineWidth, PriceLineStyle = priceLineStyle, PriceLineOpacity = priceLineOpacity }, input, ref cachePHX_PriceLine);
		}

		public PHX.PHX_Racer PHX_Racer(ISeries<double> input, nsPHX.eRacerType racerType, int frontWidth, int backWidth, PlotStyle frontPltStyle, PlotStyle backPltStyle, DashStyleHelper frontDshStyle, DashStyleHelper backDshStyle, int avePeriod, bool colorRegion, int regionUpOpacity, int regionDownOpacity, Brush regionUpColor, Brush regionDownColor)
		{
			if (cachePHX_Racer != null)
				for (int idx = 0; idx < cachePHX_Racer.Length; idx++)
					if (cachePHX_Racer[idx].RacerType == racerType && cachePHX_Racer[idx].FrontWidth == frontWidth && cachePHX_Racer[idx].BackWidth == backWidth && cachePHX_Racer[idx].FrontPltStyle == frontPltStyle && cachePHX_Racer[idx].BackPltStyle == backPltStyle && cachePHX_Racer[idx].FrontDshStyle == frontDshStyle && cachePHX_Racer[idx].BackDshStyle == backDshStyle && cachePHX_Racer[idx].AvePeriod == avePeriod && cachePHX_Racer[idx].ColorRegion == colorRegion && cachePHX_Racer[idx].RegionUpOpacity == regionUpOpacity && cachePHX_Racer[idx].RegionDownOpacity == regionDownOpacity && cachePHX_Racer[idx].RegionUpColor == regionUpColor && cachePHX_Racer[idx].RegionDownColor == regionDownColor && cachePHX_Racer[idx].EqualsInput(input))
						return cachePHX_Racer[idx];
			return CacheIndicator<PHX.PHX_Racer>(new PHX.PHX_Racer(){ RacerType = racerType, FrontWidth = frontWidth, BackWidth = backWidth, FrontPltStyle = frontPltStyle, BackPltStyle = backPltStyle, FrontDshStyle = frontDshStyle, BackDshStyle = backDshStyle, AvePeriod = avePeriod, ColorRegion = colorRegion, RegionUpOpacity = regionUpOpacity, RegionDownOpacity = regionDownOpacity, RegionUpColor = regionUpColor, RegionDownColor = regionDownColor }, input, ref cachePHX_Racer);
		}

		public PHX.PHX_Roads PHX_Roads(ISeries<double> input, int strength, int hiOpacity, int loOpacity)
		{
			if (cachePHX_Roads != null)
				for (int idx = 0; idx < cachePHX_Roads.Length; idx++)
					if (cachePHX_Roads[idx].Strength == strength && cachePHX_Roads[idx].HiOpacity == hiOpacity && cachePHX_Roads[idx].LoOpacity == loOpacity && cachePHX_Roads[idx].EqualsInput(input))
						return cachePHX_Roads[idx];
			return CacheIndicator<PHX.PHX_Roads>(new PHX.PHX_Roads(){ Strength = strength, HiOpacity = hiOpacity, LoOpacity = loOpacity }, input, ref cachePHX_Roads);
		}

		public PHX.PHX_TargetLine PHX_TargetLine(ISeries<double> input, float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			if (cachePHX_TargetLine != null)
				for (int idx = 0; idx < cachePHX_TargetLine.Length; idx++)
					if (cachePHX_TargetLine[idx].FontSize == fontSize && cachePHX_TargetLine[idx].LabelSide == labelSide && cachePHX_TargetLine[idx].LabelArea == labelArea && cachePHX_TargetLine[idx].EqualsInput(input))
						return cachePHX_TargetLine[idx];
			return CacheIndicator<PHX.PHX_TargetLine>(new PHX.PHX_TargetLine(){ FontSize = fontSize, LabelSide = labelSide, LabelArea = labelArea }, input, ref cachePHX_TargetLine);
		}

		public PHX.PHX_Time PHX_Time(ISeries<double> input, int slotStartHour1, int slotStartMinute1, int slotStopHour1, int slotStopMinute1, int opacity1, int slotStartHour2, int slotStartMinute2, int slotStopHour2, int slotStopMinute2, int opacity2, int slotStartHour3, int slotStartMinute3, int slotStopHour3, int slotStopMinute3, int opacity3, int slotStartHour4, int slotStartMinute4, int slotStopHour4, int slotStopMinute4, int opacity4, int slotStartHour5, int slotStartMinute5, int slotStopHour5, int slotStopMinute5, int opacity5)
		{
			if (cachePHX_Time != null)
				for (int idx = 0; idx < cachePHX_Time.Length; idx++)
					if (cachePHX_Time[idx].SlotStartHour1 == slotStartHour1 && cachePHX_Time[idx].SlotStartMinute1 == slotStartMinute1 && cachePHX_Time[idx].SlotStopHour1 == slotStopHour1 && cachePHX_Time[idx].SlotStopMinute1 == slotStopMinute1 && cachePHX_Time[idx].Opacity1 == opacity1 && cachePHX_Time[idx].SlotStartHour2 == slotStartHour2 && cachePHX_Time[idx].SlotStartMinute2 == slotStartMinute2 && cachePHX_Time[idx].SlotStopHour2 == slotStopHour2 && cachePHX_Time[idx].SlotStopMinute2 == slotStopMinute2 && cachePHX_Time[idx].Opacity2 == opacity2 && cachePHX_Time[idx].SlotStartHour3 == slotStartHour3 && cachePHX_Time[idx].SlotStartMinute3 == slotStartMinute3 && cachePHX_Time[idx].SlotStopHour3 == slotStopHour3 && cachePHX_Time[idx].SlotStopMinute3 == slotStopMinute3 && cachePHX_Time[idx].Opacity3 == opacity3 && cachePHX_Time[idx].SlotStartHour4 == slotStartHour4 && cachePHX_Time[idx].SlotStartMinute4 == slotStartMinute4 && cachePHX_Time[idx].SlotStopHour4 == slotStopHour4 && cachePHX_Time[idx].SlotStopMinute4 == slotStopMinute4 && cachePHX_Time[idx].Opacity4 == opacity4 && cachePHX_Time[idx].SlotStartHour5 == slotStartHour5 && cachePHX_Time[idx].SlotStartMinute5 == slotStartMinute5 && cachePHX_Time[idx].SlotStopHour5 == slotStopHour5 && cachePHX_Time[idx].SlotStopMinute5 == slotStopMinute5 && cachePHX_Time[idx].Opacity5 == opacity5 && cachePHX_Time[idx].EqualsInput(input))
						return cachePHX_Time[idx];
			return CacheIndicator<PHX.PHX_Time>(new PHX.PHX_Time(){ SlotStartHour1 = slotStartHour1, SlotStartMinute1 = slotStartMinute1, SlotStopHour1 = slotStopHour1, SlotStopMinute1 = slotStopMinute1, Opacity1 = opacity1, SlotStartHour2 = slotStartHour2, SlotStartMinute2 = slotStartMinute2, SlotStopHour2 = slotStopHour2, SlotStopMinute2 = slotStopMinute2, Opacity2 = opacity2, SlotStartHour3 = slotStartHour3, SlotStartMinute3 = slotStartMinute3, SlotStopHour3 = slotStopHour3, SlotStopMinute3 = slotStopMinute3, Opacity3 = opacity3, SlotStartHour4 = slotStartHour4, SlotStartMinute4 = slotStartMinute4, SlotStopHour4 = slotStopHour4, SlotStopMinute4 = slotStopMinute4, Opacity4 = opacity4, SlotStartHour5 = slotStartHour5, SlotStartMinute5 = slotStartMinute5, SlotStopHour5 = slotStopHour5, SlotStopMinute5 = slotStopMinute5, Opacity5 = opacity5 }, input, ref cachePHX_Time);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.PHX.PHX_Energizer PHX_Energizer(Brush color0, int width0, DashStyleHelper dshStyle0)
		{
			return indicator.PHX_Energizer(Input, color0, width0, dshStyle0);
		}

		public Indicators.PHX.PHX_Marshal PHX_Marshal(nsPHX.eMarshalType marshalType, Brush upColor, Brush dnColor, int width, PlotStyle pltStyle, DashStyleHelper dshStyle)
		{
			return indicator.PHX_Marshal(Input, marshalType, upColor, dnColor, width, pltStyle, dshStyle);
		}

		public Indicators.PHX.PHX_Oddsmaker PHX_Oddsmaker(double lineWhiteSpace, nsPHX.eChartsType chartType, nsPHX.eScalingLineAnchorType scalingLineAnchor, Brush indicatorUpColor, Brush indicatorDnColor, bool matchDataSeries, nsPHX.eColorBarsType colorBars, Brush bullColor, Brush bearColor, Brush h1linesUpColor, Brush h1linesDnColor, Brush h2linesUpColor, Brush h2linesDnColor, Brush h3linesUpColor, Brush h3linesDnColor, int h1LineUpWidth, int h1LineDnWidth, int h2LineUpWidth, int h2LineDnWidth, int h3LineUpWidth, int h3LineDnWidth, int h1UpOpacity, int h1DnOpacity, int h2UpOpacity, int h2DnOpacity, int h3UpOpacity, int h3DnOpacity)
		{
			return indicator.PHX_Oddsmaker(Input, lineWhiteSpace, chartType, scalingLineAnchor, indicatorUpColor, indicatorDnColor, matchDataSeries, colorBars, bullColor, bearColor, h1linesUpColor, h1linesDnColor, h2linesUpColor, h2linesDnColor, h3linesUpColor, h3linesDnColor, h1LineUpWidth, h1LineDnWidth, h2LineUpWidth, h2LineDnWidth, h3LineUpWidth, h3LineDnWidth, h1UpOpacity, h1DnOpacity, h2UpOpacity, h2DnOpacity, h3UpOpacity, h3DnOpacity);
		}

		public Indicators.PHX.PHX_Open PHX_Open(int hLineWidth, int vLineWidth, Brush hLineColor, Brush vLineColor, DashStyleHelper hLineStyle, DashStyleHelper vLineStyle)
		{
			return indicator.PHX_Open(Input, hLineWidth, vLineWidth, hLineColor, vLineColor, hLineStyle, vLineStyle);
		}

		public Indicators.PHX.PHX_PriceLine PHX_PriceLine(Brush priceLineColor, int priceLineWidth, DashStyleHelper priceLineStyle, double priceLineOpacity)
		{
			return indicator.PHX_PriceLine(Input, priceLineColor, priceLineWidth, priceLineStyle, priceLineOpacity);
		}

		public Indicators.PHX.PHX_Racer PHX_Racer(nsPHX.eRacerType racerType, int frontWidth, int backWidth, PlotStyle frontPltStyle, PlotStyle backPltStyle, DashStyleHelper frontDshStyle, DashStyleHelper backDshStyle, int avePeriod, bool colorRegion, int regionUpOpacity, int regionDownOpacity, Brush regionUpColor, Brush regionDownColor)
		{
			return indicator.PHX_Racer(Input, racerType, frontWidth, backWidth, frontPltStyle, backPltStyle, frontDshStyle, backDshStyle, avePeriod, colorRegion, regionUpOpacity, regionDownOpacity, regionUpColor, regionDownColor);
		}

		public Indicators.PHX.PHX_Roads PHX_Roads(int strength, int hiOpacity, int loOpacity)
		{
			return indicator.PHX_Roads(Input, strength, hiOpacity, loOpacity);
		}

		public Indicators.PHX.PHX_TargetLine PHX_TargetLine(float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return indicator.PHX_TargetLine(Input, fontSize, labelSide, labelArea);
		}

		public Indicators.PHX.PHX_Time PHX_Time(int slotStartHour1, int slotStartMinute1, int slotStopHour1, int slotStopMinute1, int opacity1, int slotStartHour2, int slotStartMinute2, int slotStopHour2, int slotStopMinute2, int opacity2, int slotStartHour3, int slotStartMinute3, int slotStopHour3, int slotStopMinute3, int opacity3, int slotStartHour4, int slotStartMinute4, int slotStopHour4, int slotStopMinute4, int opacity4, int slotStartHour5, int slotStartMinute5, int slotStopHour5, int slotStopMinute5, int opacity5)
		{
			return indicator.PHX_Time(Input, slotStartHour1, slotStartMinute1, slotStopHour1, slotStopMinute1, opacity1, slotStartHour2, slotStartMinute2, slotStopHour2, slotStopMinute2, opacity2, slotStartHour3, slotStartMinute3, slotStopHour3, slotStopMinute3, opacity3, slotStartHour4, slotStartMinute4, slotStopHour4, slotStopMinute4, opacity4, slotStartHour5, slotStartMinute5, slotStopHour5, slotStopMinute5, opacity5);
		}


		
		public Indicators.PHX.PHX_Energizer PHX_Energizer(ISeries<double> input , Brush color0, int width0, DashStyleHelper dshStyle0)
		{
			return indicator.PHX_Energizer(input, color0, width0, dshStyle0);
		}

		public Indicators.PHX.PHX_Marshal PHX_Marshal(ISeries<double> input , nsPHX.eMarshalType marshalType, Brush upColor, Brush dnColor, int width, PlotStyle pltStyle, DashStyleHelper dshStyle)
		{
			return indicator.PHX_Marshal(input, marshalType, upColor, dnColor, width, pltStyle, dshStyle);
		}

		public Indicators.PHX.PHX_Oddsmaker PHX_Oddsmaker(ISeries<double> input , double lineWhiteSpace, nsPHX.eChartsType chartType, nsPHX.eScalingLineAnchorType scalingLineAnchor, Brush indicatorUpColor, Brush indicatorDnColor, bool matchDataSeries, nsPHX.eColorBarsType colorBars, Brush bullColor, Brush bearColor, Brush h1linesUpColor, Brush h1linesDnColor, Brush h2linesUpColor, Brush h2linesDnColor, Brush h3linesUpColor, Brush h3linesDnColor, int h1LineUpWidth, int h1LineDnWidth, int h2LineUpWidth, int h2LineDnWidth, int h3LineUpWidth, int h3LineDnWidth, int h1UpOpacity, int h1DnOpacity, int h2UpOpacity, int h2DnOpacity, int h3UpOpacity, int h3DnOpacity)
		{
			return indicator.PHX_Oddsmaker(input, lineWhiteSpace, chartType, scalingLineAnchor, indicatorUpColor, indicatorDnColor, matchDataSeries, colorBars, bullColor, bearColor, h1linesUpColor, h1linesDnColor, h2linesUpColor, h2linesDnColor, h3linesUpColor, h3linesDnColor, h1LineUpWidth, h1LineDnWidth, h2LineUpWidth, h2LineDnWidth, h3LineUpWidth, h3LineDnWidth, h1UpOpacity, h1DnOpacity, h2UpOpacity, h2DnOpacity, h3UpOpacity, h3DnOpacity);
		}

		public Indicators.PHX.PHX_Open PHX_Open(ISeries<double> input , int hLineWidth, int vLineWidth, Brush hLineColor, Brush vLineColor, DashStyleHelper hLineStyle, DashStyleHelper vLineStyle)
		{
			return indicator.PHX_Open(input, hLineWidth, vLineWidth, hLineColor, vLineColor, hLineStyle, vLineStyle);
		}

		public Indicators.PHX.PHX_PriceLine PHX_PriceLine(ISeries<double> input , Brush priceLineColor, int priceLineWidth, DashStyleHelper priceLineStyle, double priceLineOpacity)
		{
			return indicator.PHX_PriceLine(input, priceLineColor, priceLineWidth, priceLineStyle, priceLineOpacity);
		}

		public Indicators.PHX.PHX_Racer PHX_Racer(ISeries<double> input , nsPHX.eRacerType racerType, int frontWidth, int backWidth, PlotStyle frontPltStyle, PlotStyle backPltStyle, DashStyleHelper frontDshStyle, DashStyleHelper backDshStyle, int avePeriod, bool colorRegion, int regionUpOpacity, int regionDownOpacity, Brush regionUpColor, Brush regionDownColor)
		{
			return indicator.PHX_Racer(input, racerType, frontWidth, backWidth, frontPltStyle, backPltStyle, frontDshStyle, backDshStyle, avePeriod, colorRegion, regionUpOpacity, regionDownOpacity, regionUpColor, regionDownColor);
		}

		public Indicators.PHX.PHX_Roads PHX_Roads(ISeries<double> input , int strength, int hiOpacity, int loOpacity)
		{
			return indicator.PHX_Roads(input, strength, hiOpacity, loOpacity);
		}

		public Indicators.PHX.PHX_TargetLine PHX_TargetLine(ISeries<double> input , float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return indicator.PHX_TargetLine(input, fontSize, labelSide, labelArea);
		}

		public Indicators.PHX.PHX_Time PHX_Time(ISeries<double> input , int slotStartHour1, int slotStartMinute1, int slotStopHour1, int slotStopMinute1, int opacity1, int slotStartHour2, int slotStartMinute2, int slotStopHour2, int slotStopMinute2, int opacity2, int slotStartHour3, int slotStartMinute3, int slotStopHour3, int slotStopMinute3, int opacity3, int slotStartHour4, int slotStartMinute4, int slotStopHour4, int slotStopMinute4, int opacity4, int slotStartHour5, int slotStartMinute5, int slotStopHour5, int slotStopMinute5, int opacity5)
		{
			return indicator.PHX_Time(input, slotStartHour1, slotStartMinute1, slotStopHour1, slotStopMinute1, opacity1, slotStartHour2, slotStartMinute2, slotStopHour2, slotStopMinute2, opacity2, slotStartHour3, slotStartMinute3, slotStopHour3, slotStopMinute3, opacity3, slotStartHour4, slotStartMinute4, slotStopHour4, slotStopMinute4, opacity4, slotStartHour5, slotStartMinute5, slotStopHour5, slotStopMinute5, opacity5);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.PHX.PHX_Energizer PHX_Energizer(Brush color0, int width0, DashStyleHelper dshStyle0)
		{
			return indicator.PHX_Energizer(Input, color0, width0, dshStyle0);
		}

		public Indicators.PHX.PHX_Marshal PHX_Marshal(nsPHX.eMarshalType marshalType, Brush upColor, Brush dnColor, int width, PlotStyle pltStyle, DashStyleHelper dshStyle)
		{
			return indicator.PHX_Marshal(Input, marshalType, upColor, dnColor, width, pltStyle, dshStyle);
		}

		public Indicators.PHX.PHX_Oddsmaker PHX_Oddsmaker(double lineWhiteSpace, nsPHX.eChartsType chartType, nsPHX.eScalingLineAnchorType scalingLineAnchor, Brush indicatorUpColor, Brush indicatorDnColor, bool matchDataSeries, nsPHX.eColorBarsType colorBars, Brush bullColor, Brush bearColor, Brush h1linesUpColor, Brush h1linesDnColor, Brush h2linesUpColor, Brush h2linesDnColor, Brush h3linesUpColor, Brush h3linesDnColor, int h1LineUpWidth, int h1LineDnWidth, int h2LineUpWidth, int h2LineDnWidth, int h3LineUpWidth, int h3LineDnWidth, int h1UpOpacity, int h1DnOpacity, int h2UpOpacity, int h2DnOpacity, int h3UpOpacity, int h3DnOpacity)
		{
			return indicator.PHX_Oddsmaker(Input, lineWhiteSpace, chartType, scalingLineAnchor, indicatorUpColor, indicatorDnColor, matchDataSeries, colorBars, bullColor, bearColor, h1linesUpColor, h1linesDnColor, h2linesUpColor, h2linesDnColor, h3linesUpColor, h3linesDnColor, h1LineUpWidth, h1LineDnWidth, h2LineUpWidth, h2LineDnWidth, h3LineUpWidth, h3LineDnWidth, h1UpOpacity, h1DnOpacity, h2UpOpacity, h2DnOpacity, h3UpOpacity, h3DnOpacity);
		}

		public Indicators.PHX.PHX_Open PHX_Open(int hLineWidth, int vLineWidth, Brush hLineColor, Brush vLineColor, DashStyleHelper hLineStyle, DashStyleHelper vLineStyle)
		{
			return indicator.PHX_Open(Input, hLineWidth, vLineWidth, hLineColor, vLineColor, hLineStyle, vLineStyle);
		}

		public Indicators.PHX.PHX_PriceLine PHX_PriceLine(Brush priceLineColor, int priceLineWidth, DashStyleHelper priceLineStyle, double priceLineOpacity)
		{
			return indicator.PHX_PriceLine(Input, priceLineColor, priceLineWidth, priceLineStyle, priceLineOpacity);
		}

		public Indicators.PHX.PHX_Racer PHX_Racer(nsPHX.eRacerType racerType, int frontWidth, int backWidth, PlotStyle frontPltStyle, PlotStyle backPltStyle, DashStyleHelper frontDshStyle, DashStyleHelper backDshStyle, int avePeriod, bool colorRegion, int regionUpOpacity, int regionDownOpacity, Brush regionUpColor, Brush regionDownColor)
		{
			return indicator.PHX_Racer(Input, racerType, frontWidth, backWidth, frontPltStyle, backPltStyle, frontDshStyle, backDshStyle, avePeriod, colorRegion, regionUpOpacity, regionDownOpacity, regionUpColor, regionDownColor);
		}

		public Indicators.PHX.PHX_Roads PHX_Roads(int strength, int hiOpacity, int loOpacity)
		{
			return indicator.PHX_Roads(Input, strength, hiOpacity, loOpacity);
		}

		public Indicators.PHX.PHX_TargetLine PHX_TargetLine(float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return indicator.PHX_TargetLine(Input, fontSize, labelSide, labelArea);
		}

		public Indicators.PHX.PHX_Time PHX_Time(int slotStartHour1, int slotStartMinute1, int slotStopHour1, int slotStopMinute1, int opacity1, int slotStartHour2, int slotStartMinute2, int slotStopHour2, int slotStopMinute2, int opacity2, int slotStartHour3, int slotStartMinute3, int slotStopHour3, int slotStopMinute3, int opacity3, int slotStartHour4, int slotStartMinute4, int slotStopHour4, int slotStopMinute4, int opacity4, int slotStartHour5, int slotStartMinute5, int slotStopHour5, int slotStopMinute5, int opacity5)
		{
			return indicator.PHX_Time(Input, slotStartHour1, slotStartMinute1, slotStopHour1, slotStopMinute1, opacity1, slotStartHour2, slotStartMinute2, slotStopHour2, slotStopMinute2, opacity2, slotStartHour3, slotStartMinute3, slotStopHour3, slotStopMinute3, opacity3, slotStartHour4, slotStartMinute4, slotStopHour4, slotStopMinute4, opacity4, slotStartHour5, slotStartMinute5, slotStopHour5, slotStopMinute5, opacity5);
		}


		
		public Indicators.PHX.PHX_Energizer PHX_Energizer(ISeries<double> input , Brush color0, int width0, DashStyleHelper dshStyle0)
		{
			return indicator.PHX_Energizer(input, color0, width0, dshStyle0);
		}

		public Indicators.PHX.PHX_Marshal PHX_Marshal(ISeries<double> input , nsPHX.eMarshalType marshalType, Brush upColor, Brush dnColor, int width, PlotStyle pltStyle, DashStyleHelper dshStyle)
		{
			return indicator.PHX_Marshal(input, marshalType, upColor, dnColor, width, pltStyle, dshStyle);
		}

		public Indicators.PHX.PHX_Oddsmaker PHX_Oddsmaker(ISeries<double> input , double lineWhiteSpace, nsPHX.eChartsType chartType, nsPHX.eScalingLineAnchorType scalingLineAnchor, Brush indicatorUpColor, Brush indicatorDnColor, bool matchDataSeries, nsPHX.eColorBarsType colorBars, Brush bullColor, Brush bearColor, Brush h1linesUpColor, Brush h1linesDnColor, Brush h2linesUpColor, Brush h2linesDnColor, Brush h3linesUpColor, Brush h3linesDnColor, int h1LineUpWidth, int h1LineDnWidth, int h2LineUpWidth, int h2LineDnWidth, int h3LineUpWidth, int h3LineDnWidth, int h1UpOpacity, int h1DnOpacity, int h2UpOpacity, int h2DnOpacity, int h3UpOpacity, int h3DnOpacity)
		{
			return indicator.PHX_Oddsmaker(input, lineWhiteSpace, chartType, scalingLineAnchor, indicatorUpColor, indicatorDnColor, matchDataSeries, colorBars, bullColor, bearColor, h1linesUpColor, h1linesDnColor, h2linesUpColor, h2linesDnColor, h3linesUpColor, h3linesDnColor, h1LineUpWidth, h1LineDnWidth, h2LineUpWidth, h2LineDnWidth, h3LineUpWidth, h3LineDnWidth, h1UpOpacity, h1DnOpacity, h2UpOpacity, h2DnOpacity, h3UpOpacity, h3DnOpacity);
		}

		public Indicators.PHX.PHX_Open PHX_Open(ISeries<double> input , int hLineWidth, int vLineWidth, Brush hLineColor, Brush vLineColor, DashStyleHelper hLineStyle, DashStyleHelper vLineStyle)
		{
			return indicator.PHX_Open(input, hLineWidth, vLineWidth, hLineColor, vLineColor, hLineStyle, vLineStyle);
		}

		public Indicators.PHX.PHX_PriceLine PHX_PriceLine(ISeries<double> input , Brush priceLineColor, int priceLineWidth, DashStyleHelper priceLineStyle, double priceLineOpacity)
		{
			return indicator.PHX_PriceLine(input, priceLineColor, priceLineWidth, priceLineStyle, priceLineOpacity);
		}

		public Indicators.PHX.PHX_Racer PHX_Racer(ISeries<double> input , nsPHX.eRacerType racerType, int frontWidth, int backWidth, PlotStyle frontPltStyle, PlotStyle backPltStyle, DashStyleHelper frontDshStyle, DashStyleHelper backDshStyle, int avePeriod, bool colorRegion, int regionUpOpacity, int regionDownOpacity, Brush regionUpColor, Brush regionDownColor)
		{
			return indicator.PHX_Racer(input, racerType, frontWidth, backWidth, frontPltStyle, backPltStyle, frontDshStyle, backDshStyle, avePeriod, colorRegion, regionUpOpacity, regionDownOpacity, regionUpColor, regionDownColor);
		}

		public Indicators.PHX.PHX_Roads PHX_Roads(ISeries<double> input , int strength, int hiOpacity, int loOpacity)
		{
			return indicator.PHX_Roads(input, strength, hiOpacity, loOpacity);
		}

		public Indicators.PHX.PHX_TargetLine PHX_TargetLine(ISeries<double> input , float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return indicator.PHX_TargetLine(input, fontSize, labelSide, labelArea);
		}

		public Indicators.PHX.PHX_Time PHX_Time(ISeries<double> input , int slotStartHour1, int slotStartMinute1, int slotStopHour1, int slotStopMinute1, int opacity1, int slotStartHour2, int slotStartMinute2, int slotStopHour2, int slotStopMinute2, int opacity2, int slotStartHour3, int slotStartMinute3, int slotStopHour3, int slotStopMinute3, int opacity3, int slotStartHour4, int slotStartMinute4, int slotStopHour4, int slotStopMinute4, int opacity4, int slotStartHour5, int slotStartMinute5, int slotStopHour5, int slotStopMinute5, int opacity5)
		{
			return indicator.PHX_Time(input, slotStartHour1, slotStartMinute1, slotStopHour1, slotStopMinute1, opacity1, slotStartHour2, slotStartMinute2, slotStopHour2, slotStopMinute2, opacity2, slotStartHour3, slotStartMinute3, slotStopHour3, slotStopMinute3, opacity3, slotStartHour4, slotStartMinute4, slotStopHour4, slotStopMinute4, opacity4, slotStartHour5, slotStartMinute5, slotStopHour5, slotStopMinute5, opacity5);
		}

	}
}

#endregion
